#!/bin/bash

# Run the hot-backup daemon process, which tails the Journal file

. /etc/p4-settings
cd $P4D_HOME/logDaemon || exit 1

if [ -f Setup.py -a ! -f Setup.py.backup ]; then
    cp Setup.py Setup.py.backup
fi

# Must export the P4D environment variables
for X in $(set | cut -f 1 -d '=' | grep P4D); do
    export $X
done

# Unfortunately, this file needs to be updated everytime we put
# a checkpoint on the backup server.  This should be better scripted.
python CreateSettings.py 9457 || exit 1

/usr/bin/python JournalDaemon.py >> $P4D_LOGDIR/p4hotbackup.log &

# Create pid file
if [ ! -z $1 ]; then
    echo $! > $1
fi

